% File flexc.m
% Flexible beam controller
switch manual_ref; 
   case 1; % use steps
        phiref=pi4*sign(sin(pi*t/2)); % Create reference signal
   case 2; % use manual reference
       switch device;
           case 1; phiref=-gmanual*jstick;   % control device - joystick
           case 2;     			    % control device - mouse
                   monitor = get(0,'MonitorPosition');  % get monitor size
                   cursor = get(0,'PointerLocation');   % get mouse pointer position on monitor
                   sensitivity=1;			% set sensitivity to mouse movement
                   position=sensitivity*((cursor(1)-1)/(monitor(3)-1)-0.5);  % scale
                   phiref=-gmanual*position;
       end
end;  
% phiref=pi4*sign(sin(pi*t/2)); % Create reference signal
  phireff=cf*xf+df*phiref;      % Prefilter ref signal state space output 
  xf=af*xf+bf*(phiref);         % Prefilter ref signal state space update
  imotor=cc*xc+dc*(phireff-phi); % motor current state space output 
  xc=ac*xc+bc*(phireff-phi);     % motor current state space update
  if (imotor>imax);imotor=imax; end;    % motor limits
  if (imotor<-imax);imotor=-imax; end; 
  if counter <=npoints;          % Record plot information
      ts(counter)=t; 
      phis(counter)=phi; 
      phirefs(counter)=phiref; 
      thetas(counter)=theta; 
      imotors(counter)=imotor; 
      counter=counter+1; 
  end 
