% File flecinit.m
% Flex beam initialization
  pm=60; gm=10;   %phase margin and gain margin
  pmrad = 60*pi/180; % change phase margin to radians
  
% Useful variables:
  a_over_b=(1+ sin(pmrad))/(1-sin(pmrad));   % a/b found from the phase margin
            % p1 is the first comega_plex pole
  omega_n=abs(p1);  % The frequency of the first peak in freq
  zeta=-real(p1)/omega_n; % the damping factor of the plant

% Useful variables: kp the DC gain of the system, 5.5
%                   omega_n, the frequency of the first peak in freq response
%                   zeta, the crossover frequency

design_num = input('Type design number:\n');
switch design_num;
   case 1; % Design #1  ------------ ADD YOUR CODE HERE -------------
       kc= ;      % gain constant of the lead controller  
       omega_p= ; % The crossover frequency
       a= ; 
       b= ; 
       numc=[]; denc=[];  % numerator and denominator of the lead controller 
       numf=[1]; denf=[1]; % prefilter is 1/1, meaning there is no prefiltering
   case 2; % Design #2  ------------ ADD YOUR CODE HERE -------------
%        omega_p= ; 
%        kc= ;      % gain constant of the lead controller 
%        a= ; 
%        b= ; 
%        numc=[]; denc=[]; % numerator and denominator of the lead controller
%        numc_notch=[];    % numerator of the notch filter
%        denc_notch=[];    % denominator of the notch filter
       numc=conv(numc,numc_notch); denc=conv(denc,denc_notch); % combine filter and controller
       numf=[];denf=[];  % numerator and denominator of the prefilter
   case 3; % Design #3
   case 4; % Design #4 
   case 5; % Design #5 
end;
 
manual_ref = input('Type 1 to use stepping reference, Type 2 to provide a manual reference:\n');
      
% State-space representation 
  sysc=tf(numc,denc); 
  sysf=tf(numf,denf); 
  [ac,bc,cc,dc]=ssdata(c2d(sysc,dt,'zoh')); 
  [af,bf,cf,df]=ssdata(c2d(sysf,dt,'zoh')); 
  xc=zeros(length(bc),1); 
  xf=zeros(length(bf),1); 
  pi4=pi/4; 
  
  
% Plot design results, Bode & Step response
  figure(2); sysol=series(sysp2,sysc);margin(sysol) 
  figure(3); syscl=series(sysf,feedback(sysol,tf([1],[1]))); 
  step(syscl),poles=pole(syscl); 

% Intitialize plot variables
  tmax=6; npoints=round(tmax/dt); 
  ts=zeros(npoints,1); 
  phis=zeros(npoints,1); 
  phirefs=zeros(npoints,1); 
  thetas=zeros(npoints,1); 
  imotors=zeros(npoints,1); 
  counter=1; 
