% File: flexpl.m 
% Plotting program for flexible beam simulation results 
   
  figure(4)
      subplot(2,2,1)    % Input reference and output phi
      plot(ts, phis, ts, phirefs, '--' );
      xlabel( 'Time (sec)');
      ylabel( 'Tip angular position, phi (rad)');
  
      subplot (2,2,2)   % Shaft angle, theta
      plot(ts, thetas)
      xlabel( 'Time (sec)');
      ylabel ( 'Shaft angle, theta (rad) ' );
 
      subplot (2,2,3)   % Motor drive current
      plot (ts ,imotors);
      xlabel( 'Time (sec)');
      ylabel( 'Motor Current (A)'); 

      subplot (2,2,4);   % Tip angle, phi - Shaft angle, theta 
      plot(ts ,phis-thetas)
      xlabel( 'Time (sec)');
      ylabel( 'Relative angles, phi-theta (rad)');
               
